> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get By Name



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /vpc/v1/pools/get-by-name
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /vpc/v1/pools/get-by-name:
    get:
      tags:
        - nebius.vpc.v1.PoolService
      summary: Get By Name
      operationId: PoolService_GetByName
      parameters:
        - description: ID of the project.
          in: query
          name: parentId
          required: true
          schema:
            type: string
        - in: query
          name: name
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/vpcV1Pool'
          description: A successful response.
components:
  schemas:
    vpcV1Pool:
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/vpcV1PoolSpec'
        status:
          $ref: '#/components/schemas/vpcV1PoolStatus'
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    vpcV1PoolSpec:
      properties:
        cidrs:
          description: CIDR blocks defined by the pool.
          items:
            $ref: '#/components/schemas/vpcV1PoolCidr'
          type: array
        sourcePoolId:
          description: >-
            ID of the source pool.

            CIDR blocks of a pool must be within the range defined by its source
            pool.
          type: string
        version:
          $ref: '#/components/schemas/vpcV1IpVersion'
        visibility:
          $ref: '#/components/schemas/v1IpVisibility'
      required:
        - version
        - visibility
      type: object
    vpcV1PoolStatus:
      properties:
        assignment:
          $ref: '#/components/schemas/v1PoolAssignment'
        cidrs:
          description: CIDR blocks.
          items:
            type: string
          type: array
        scopeId:
          description: Scope is the unique identifier for single pool tree.
          type: string
        state:
          $ref: '#/components/schemas/vpcV1PoolStatusState'
      type: object
    vpcV1PoolCidr:
      properties:
        cidr:
          description: >-
            A CIDR block (e.g., "10.1.2.0/24") or a prefix length (e.g., "/24").

            If prefix length is specified, the CIDR block will be auto-allocated
            from

            the available space in the parent pool.
          type: string
        maxMaskLength:
          description: |-
            Maximum mask length for this pool child pools and allocations.
            Default max_mask_length is 32 for IPv4.
          format: int64
          type: string
        state:
          $ref: '#/components/schemas/v1AddressBlockState'
      required:
        - cidr
      type: object
    vpcV1IpVersion:
      default: IP_VERSION_UNSPECIFIED
      description: |2-
         - IP_VERSION_UNSPECIFIED: Default, unspecified IP version.
         - IPV4: IPv4 address.
         - IPV6: IPv6 address.
      enum:
        - IP_VERSION_UNSPECIFIED
        - IPV4
        - IPV6
      type: string
    v1IpVisibility:
      default: IP_VISIBILITY_UNSPECIFIED
      description: |2-
         - IP_VISIBILITY_UNSPECIFIED: Default, unspecified IP visibility.
         - PRIVATE: Private address.
         - PUBLIC: Public address.
      enum:
        - IP_VISIBILITY_UNSPECIFIED
        - PRIVATE
        - PUBLIC
      type: string
    v1PoolAssignment:
      properties:
        networks:
          description: IDs of Networks to which the Pool is assigned.
          items:
            type: string
          type: array
        subnets:
          description: IDs of Subnets to which the Pool is assigned.
          items:
            type: string
          type: array
      type: object
    vpcV1PoolStatusState:
      default: STATE_UNSPECIFIED
      description: |-
        Possible states of the Pool.

         - STATE_UNSPECIFIED: Default, unspecified state.
         - CREATING: Pool is being created.
         - READY: Pool is ready for use.
         - DELETING: Pool is being deleted.
      enum:
        - STATE_UNSPECIFIED
        - CREATING
        - READY
        - DELETING
      type: string
    v1AddressBlockState:
      default: STATE_UNSPECIFIED
      description: |-
        Controls provisioning of IP addresses from this pool to other pools
        or allocations. Defaults to AVAILABLE.

         - STATE_UNSPECIFIED: Not used, mandated by the protocol.
         - AVAILABLE: Default state. Provision of the IP addresses from this CIDR block is allowed.
         - DISABLED: Provision of the IP addresses from this CIDR block is denied.
      enum:
        - STATE_UNSPECIFIED
        - AVAILABLE
        - DISABLED
      type: string
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````